# $Revision: 1.12 $, $Date: 2010/07/08 08:34:48 $

%define 	module	pyrad

Summary:	pyrad - Python implementation of a RADIUS client
Summary(pl.UTF-8):	pyrad - implementacja klienta RADIUS w Pythonie
Name:		python-%{module}
Version:	1.1
Release:	2
License:	BSD-like
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/pyrad/%{module}-%{version}.tar.gz
# Source0-md5:	ab1502f8ccd7409ced757d78b0dee7df
URL:		http://www.wiggy.net/code/pyrad/
BuildRequires:	python-devel >= 1:2.3
%pyrequires_eq	python-libs
BuildRequires:	rpmbuild(macros) >= 1.219
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyrad is an implementation of a RADIUS client as described in RFC2865.
It takes care of all the details like building RADIUS packets, sending
them and decoding responses.

%description -l pl.UTF-8
pyrad jest implementacją klienta protokołu RADIUS, opisanego w
dokumencie RFC2865. Moduł ten odpowiada za wszystkie aspekty
przetwarzania protokołu RADIUS, takie jak budowanie pakietów
protokołu, wysyłanie ich oraz odkodowywanie odpowiedzi.

%package examples
Summary:	Example programs for Python pyrad module
Summary(pl.UTF-8):	Programy przykładowe do modułu Pythona pyrad
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Python pyrad module.

%description examples -l pl.UTF-8
Pakiet zawierający programy przykładowe dla modułu Pythona pyrad.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2
%py_postclean

cp -a example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{py_sitescriptdir}/pyrad
%{py_sitescriptdir}/%{module}-*.egg-info

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyrad.spec,v $
Revision 1.12  2010/07/08 08:34:48  arekm
- release 2

Revision 1.11  2009/03/19 12:49:04  jajcus
- Version: 1.1

Revision 1.10  2008/10/03 17:59:09  arekm
- release 2

Revision 1.9  2007-03-05 20:22:43  beorn
- Up to version 0.9
- Switched to py_postclean macro

Revision 1.8  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.6  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.5  2004/12/26 17:37:35  saq
- strict python deps, release 2

Revision 1.4  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.3  2004/08/30 16:43:41  zboczuch
- version 0.8

Revision 1.2  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.1  2004/06/14 20:23:56  zboczuch
- initial PLD release

